﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using Infragistics.Web.UI.Framework.Data;
using Infragistics.Web.UI.GridControls;

public partial class Estadisticas_KeyEnterTest : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            // Init WebDataGrid.
            BoundDataField column = new BoundDataField();
            column.Key = "KeyColumn";
            column.DataFieldName = "KeyColumn";
            column.Header.Text = "Code";
            column.Hidden = false;
            column.Width = Unit.Pixel(200);
            this.wdgKeyEnterTest.Columns.Add(column);

            column = new BoundDataField();
            column.Key = "Description";
            column.DataFieldName = "Description";
            column.Header.Text = "Description";
            column.Hidden = false;
            column.Width = Unit.Pixel(200);

            RowAddingColumnSetting config = new RowAddingColumnSetting();
            config.ColumnKey = "KeyColumn";
            config.ReadOnly = true;

            this.wdgKeyEnterTest.Behaviors.EditingCore.Behaviors.RowAdding.ColumnSettings.Add(config);

            this.wdgKeyEnterTest.Columns.Add(column);


            wdgKeyEnterTest.DataSource = List();
            wdgKeyEnterTest.DataBind();
        }
    }

    protected void wdgKeyEnterTest_RowAdding(object sender, Infragistics.Web.UI.GridControls.RowAddingEventArgs e)
    {
        txtResult.Text = String.Format("Response from grid at {0:HH-mm-ss}", DateTime.Now);
        e.Values["KeyColumn"] = wdgKeyEnterTest.Rows.Count + 1;
    }

    private DataTable List()
    {
        DataSet response = new DataSet();
        DataTable table = new DataTable("Table1");
        response.Tables.Add(table);

        DataColumn column1 = new DataColumn("KeyColumn", typeof(Int32));
        DataColumn column2 = new DataColumn("Description", typeof(String));

        table.Columns.Add(column1);
        table.Columns.Add(column2);

        response.Tables[0].PrimaryKey = new DataColumn[] { table.Columns["KeyColumn"] };

        return response.Tables[0];
    }


    protected void btnExample_Click(object sender, EventArgs e)
    {
        txtResult.Text = String.Format("Response from button at {0:HH-mm-ss}", DateTime.Now);
    }
}